summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2020-01-13 07:23:06 +0100
committerMichał Górny <mgorny@gentoo.org>2020-01-13 10:39:12 +0100
commit9be7a79c1273e96d2bf2fb5e30605e1302924829 (patch)
treeb9824e12473cfdd7e0273b59e621f23b13df7b13
parentsys-boot/grub: x86 stable wrt bug #705296 (diff)
downloadgentoo-9be7a79c1273e96d2bf2fb5e30605e1302924829.tar.gz
gentoo-9be7a79c1273e96d2bf2fb5e30605e1302924829.tar.bz2
gentoo-9be7a79c1273e96d2bf2fb5e30605e1302924829.zip
xfce-base/xfce4-panel: Bump to 4.14.3 (broken dist fix)
Signed-off-by: Michał Górny <mgorny@gentoo.org>
-rw-r--r--xfce-base/xfce4-panel/Manifest1
-rw-r--r--xfce-base/xfce4-panel/xfce4-panel-4.14.3.ebuild69
2 files changed, 70 insertions, 0 deletions
diff --git a/xfce-base/xfce4-panel/Manifest b/xfce-base/xfce4-panel/Manifest
index 014c249265c..f42d629a3b9 100644
--- a/xfce-base/xfce4-panel/Manifest
+++ b/xfce-base/xfce4-panel/Manifest
@@ -1,3 +1,4 @@
DIST xfce4-panel-4.14.1.tar.bz2 1294087 BLAKE2B d88100d068348aab32f7a133ca98e17c1586f3d6c5ffcb53493e953930108d4d1ebd0972d84c4bd077ab58c4a3ae34303682084daff4e34a168c5c2f981597bf SHA512 1c86362489677f2e04cf3b98dbc1a80b4998335c00a47d256e741446f00437ad04539041648848eca1f45fa1fa70974ca6cf65cb7f762a79a46c16484557e400
DIST xfce4-panel-4.14.2.tar.bz2 1304078 BLAKE2B 9f504dbfac36db08de8f6eb1ea63f6c985790eb2fb31932bc5ea06895d705ed808bc8a63d42afe4ed6ead625d3cb1dfebb95098691a586af24b505b73af2310b SHA512 7582c47cf191becad32c032adf24dc351d0d60bcbb8dc4b52eb5d0ec14cc9c6fcf7dba42a2c1ca506a88068af8ff817837d73b75d13e0910868a96462660efbb
+DIST xfce4-panel-4.14.3.tar.bz2 1304748 BLAKE2B 7e009e2afcc59b1d014fe776c439cd27c8ddb9b46215a9766f25f384802bc27a672201d0a73eff8aab3714822ee5f2c062806a60ccaf70cf6b5ec65f38f7e8a1 SHA512 c317741df1196a9f8d675c87732155f973022d1cb30a8815393980747d1569e8348c386253fc9056068c35fbdc13faefb4a0bef6678d072d51461c4aae909940
DIST xfce4-panel-4.15.0.tar.bz2 1271290 BLAKE2B 6062ed76d8372f5e1ab9def67bcc8c4006ef269309b47740c331c8afef8f320069478846e802c6a090c4a6aa465d79c75e028d52b8f09dd8e1dafa11c8d415ec SHA512 3f4d9a097cb9b9a4ec4296b518e91b13394ca063664c78768dc3e2a964090177485c189c3ff3e118b179d58aafdb27d2edf67ddb49434290eaed157b449fc817
diff --git a/xfce-base/xfce4-panel/xfce4-panel-4.14.3.ebuild b/xfce-base/xfce4-panel/xfce4-panel-4.14.3.ebuild
new file mode 100644
index 00000000000..4c13761e1a6
--- /dev/null
+++ b/xfce-base/xfce4-panel/xfce4-panel-4.14.3.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit vala xdg-utils
+
+DESCRIPTION="Panel for the Xfce desktop environment"
+HOMEPAGE="https://www.xfce.org/projects/"
+SRC_URI="https://archive.xfce.org/src/xfce/${PN}/${PV%.*}/${P}.tar.bz2"
+
+LICENSE="GPL-2+ LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
+IUSE="+gtk2 introspection vala"
+REQUIRED_USE="vala? ( introspection )"
+RESTRICT="!gtk2? ( test )"
+
+RDEPEND=">=dev-libs/glib-2.42
+ >=x11-libs/cairo-1
+ >=x11-libs/gtk+-3.22:3[introspection?]
+ x11-libs/libX11
+ x11-libs/libwnck:3
+ >=xfce-base/exo-0.11.2:=
+ >=xfce-base/garcon-0.5:=
+ >=xfce-base/libxfce4ui-4.13:=
+ >=xfce-base/libxfce4util-4.13:=[introspection?]
+ >=xfce-base/xfconf-4.13:=
+ gtk2? ( >=x11-libs/gtk+-2.20:2 )
+ introspection? ( dev-libs/gobject-introspection:= )"
+DEPEND="${RDEPEND}
+ vala? ( $(vala_depend) )
+ dev-lang/perl
+ dev-util/gtk-doc-am
+ dev-util/intltool
+ sys-devel/gettext
+ virtual/pkgconfig"
+
+src_prepare() {
+ # stupid vala.eclass...
+ default
+}
+
+src_configure() {
+ local myconf=(
+ $(use_enable gtk2)
+ $(use_enable introspection)
+ $(use_enable vala)
+ )
+
+ use vala && vala_src_prepare
+ econf "${myconf[@]}"
+}
+
+src_install() {
+ default
+
+ find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+ xdg_icon_cache_update
+ xdg_desktop_database_update
+}
+
+pkg_postrm() {
+ xdg_icon_cache_update
+ xdg_desktop_database_update
+}